Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.reasoning.impl
Interface KnowledgeBase<F>

All Superinterfaces:
  CollectionManager<Object>, ForwardReasoningSession<F>, ReasoningSession

All Known Implementing Classes:
  InMemoryKnowledgeBase

    public interface KnowledgeBase<F>

extends CollectionManager<Object>, ForwardReasoningSession<F>

Knowledge base holds facts and mapping of handles to facts. Collections created by the knowledge base shall be tied to the knowledge base and shall return null for invalid (removed) objects.

Author:
  Pavel Vlasov

Nested Class Summary
`static interface` | `KnowledgeBase.PutDerivedResult<F>`

Method Summary
`KnowledgeBase.PutDerivedResult<F>` | `putConclusion(F obj, Object rule, String ruleName, String ruleDescription, Method method, List<Handle<F>> handleList)`

Methods inherited from interface com.hammurapi.reasoning.impl.CollectionManager
`getList, getSet`

Methods inherited from interface com.hammurapi.reasoning.ForwardReasoningSession
`contains, contains, executeRules, get, getConclusionMap, getDerivations, getDerivations, getHandle, getHandles, getInferenceListener, getObjects, put, putAll, putAll, remove, remove, setInferenceListener, updateObject`

Methods inherited from interface com.hammurapi.reasoning.ReasoningSession
`close, getDescription, getExceptionHandler, getName, reset, setExceptionHandler`

Method Detail

### putConclusion

    KnowledgeBase.PutDerivedResult<F> putConclusion(F obj,
                                                    Object rule,
                                                    String ruleName,
                                                    String ruleDescription,
                                                    Method method,
                                                    List<Handle<F>> handleList)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD